You can get or set the selected state of a worksheet using the isSelected method, for example:
The active sheet is always selected and cannot be set to unselected.
If you set active sheet as unselected using the isSelected method, the active but not selected sheet will have another sheet tab view.
You can also change the selected state for a sheet or sheets by clicking with shift/ctrl key (in MacOS you need to use shift/command key instead).
Spread also provides two events when changing the selected state of a sheet.
Spread supports batch delete and hide functions of multiple selected sheets.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Click the checkbox to select or deselect the sheet.</p>
<p>Hold down the Shift/Ctrl/Cmd key and click the sheet tab to select/deselect multiple sheets. The
sheet checkbox will update correspondingly.</p>
</div>
<div class="sheets-checkboxes-container">
<div class="option-row">
<input type="checkbox" id="Sheet1" :checked="sheet1IsSelected" @change="onChange" />
<label for="Sheet1" id="labelOfSheet1">Sheet1</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet2" :checked="sheet2IsSelected" @change="onChange" />
<label for="Sheet2" id="labelOfSheet2">Sheet2</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet3" :checked="sheet3IsSelected" @change="onChange" />
<label for="Sheet3" id="labelOfSheet3">Sheet3</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet4" :checked="sheet4IsSelected" @change="onChange" />
<label for="Sheet4" id="labelOfSheet4">Sheet4</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet5" :checked="sheet5IsSelected" @change="onChange" />
<label for="Sheet5" id="labelOfSheet5">Sheet5</label>
</div>
</div>
</div>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import { ref } from "vue";
import "@mescius/spread-sheets-vue";
let spread = null;
const sheet1IsSelected = ref(true);
const sheet2IsSelected = ref(true);
const sheet3IsSelected = ref(true);
const sheet4IsSelected = ref(false);
const sheet5IsSelected = ref(false);
const initSpread = (s) => {
spread = s
spread.suspendPaint();
const sheet1 = spread.getSheetFromName("Sheet1");
const sheet2 = spread.getSheetFromName("Sheet2");
const sheet3 = spread.getSheetFromName("Sheet3");
sheet1.isSelected(true);
sheet2.isSelected(true);
sheet3.isSelected(true);
spread.bind(GC.Spread.Sheets.Events.SheetChanged, (_, args) => {
const sheetName = args.sheetName, sheet = spread.getSheetFromName(sheetName);
switch (sheetName) {
case "Sheet1":
sheet1IsSelected.value = sheet.isSelected();
break;
case "Sheet2":
sheet2IsSelected.value = sheet.isSelected();
break;
case "Sheet3":
sheet3IsSelected.value = sheet.isSelected();
break;
case "Sheet4":
sheet4IsSelected.value = sheet.isSelected();
break;
case "Sheet5":
sheet5IsSelected.value = sheet.isSelected();
break;
}
});
spread.resumePaint();
};
const onChange = (e) => {
const sheet = spread.getSheetFromName(e.target.id);
sheet.isSelected(e.target.checked);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.sheets-checkboxes-container {
padding-left: 10px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can get or set the selected state of a worksheet using the isSelected method, for example:
The active sheet is always selected and cannot be set to unselected.
If you set active sheet as unselected using the isSelected method, the active but not selected sheet will have another sheet tab view.
You can also change the selected state for a sheet or sheets by clicking with shift/ctrl key (in MacOS you need to use shift/command key instead).
Spread also provides two events when changing the selected state of a sheet.
Spread supports batch delete and hide functions of multiple selected sheets.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
sheet1IsSelected: boolean;
sheet2IsSelected: boolean;
sheet3IsSelected: boolean;
sheet4IsSelected: boolean;
sheet5IsSelected: boolean;
constructor() {
this.sheet1IsSelected = true;
this.sheet2IsSelected = true;
this.sheet3IsSelected = true;
this.sheet4IsSelected = false;
this.sheet5IsSelected = false;
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
let sheet1 = spread.getSheetFromName("Sheet1");
let sheet2 = spread.getSheetFromName("Sheet2");
let sheet3 = spread.getSheetFromName("Sheet3");
sheet1.isSelected(true);
sheet2.isSelected(true);
sheet3.isSelected(true);
let self = this;
spread.bind(GC.Spread.Sheets.Events.SheetChanged, function (e: any, args: any) {
let sheetName = args.sheetName, sheet = self.spread.getSheetFromName(sheetName);
switch (sheetName) {
case "Sheet1":
self.sheet1IsSelected = sheet.isSelected();
break;
case "Sheet2":
self.sheet2IsSelected = sheet.isSelected();
break;
case "Sheet3":
self.sheet3IsSelected = sheet.isSelected();
break;
case "Sheet4":
self.sheet4IsSelected = sheet.isSelected();
break;
case "Sheet5":
self.sheet5IsSelected = sheet.isSelected();
break;
}
});
spread.resumePaint();
}
onChange(e: any) {
let spread = this.spread;
let sheet = spread.getSheetFromName(e.target.id);
sheet.isSelected(e.target.checked);
spread.repaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Click the checkbox to select or deselect the sheet.</p>
<p>Hold down the Shift/Ctrl/Cmd key and click the sheet tab to select/deselect multiple sheets. The sheet
checkbox will update correspondingly.</p>
</div>
<div class="sheets-checkboxes-container">
<div class="option-row">
<input type="checkbox" id="Sheet1" [checked]="sheet1IsSelected" (change)="onChange($event)" />
<label for="Sheet1" id="labelOfSheet1">Sheet1</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet2" [checked]="sheet2IsSelected" (change)="onChange($event)" />
<label for="Sheet2" id="labelOfSheet2">Sheet2</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet3" [checked]="sheet3IsSelected" (change)="onChange($event)" />
<label for="Sheet3" id="labelOfSheet3">Sheet3</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet4" [checked]="sheet4IsSelected" (change)="onChange($event)" />
<label for="Sheet4" id="labelOfSheet4">Sheet4</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet5" [checked]="sheet5IsSelected" (change)="onChange($event)" />
<label for="Sheet5" id="labelOfSheet5">Sheet5</label>
</div>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.sheets-checkboxes-container {
padding-left: 10px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can get or set the selected state of a worksheet using the isSelected method, for example:
The active sheet is always selected and cannot be set to unselected.
If you set active sheet as unselected using the isSelected method, the active but not selected sheet will have another sheet tab view.
You can also change the selected state for a sheet or sheets by clicking with shift/ctrl key (in MacOS you need to use shift/command key instead).
Spread also provides two events when changing the selected state of a sheet.
Spread supports batch delete and hide functions of multiple selected sheets.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { useState } from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
let spread = null;
export function AppFunc() {
const [state, setState] = useState({
sheet1IsSelected: true,
sheet2IsSelected: true,
sheet3IsSelected: true,
sheet4IsSelected: false,
sheet5IsSelected: false
});
const changeState = (sheet) => {
let sheetName = sheet.name();
setState(state => {
let currentState = {
sheet1IsSelected: state.sheet1IsSelected,
sheet2IsSelected: state.sheet2IsSelected,
sheet3IsSelected: state.sheet3IsSelected,
sheet4IsSelected: state.sheet4IsSelected,
sheet5IsSelected: state.sheet5IsSelected
};
switch (sheetName) {
case "Sheet1":
currentState.sheet1IsSelected = sheet.isSelected();
break;
case "Sheet2":
currentState.sheet2IsSelected = sheet.isSelected();
break;
case "Sheet3":
currentState.sheet3IsSelected = sheet.isSelected();
break;
case "Sheet4":
currentState.sheet4IsSelected = sheet.isSelected();
break;
case "Sheet5":
currentState.sheet5IsSelected = sheet.isSelected();
break;
}
return currentState;
});
}
const initSpread = (sjs) => {
spread = sjs;
spread.suspendPaint();
let sheet1 = spread.getSheetFromName("Sheet1");
let sheet2 = spread.getSheetFromName("Sheet2");
let sheet3 = spread.getSheetFromName("Sheet3");
sheet1.isSelected(true);
sheet2.isSelected(true);
sheet3.isSelected(true);
spread.bind(GC.Spread.Sheets.Events.SheetChanged, function (e, args) {
let sheet = spread.getSheetFromName(args.sheetName);
if (sheet) {
changeState(sheet);
}
});
spread.resumePaint();
}
const onChange = (e) => {
let sheet = spread.getSheetFromName(e.target.id);
sheet.isSelected(e.target.checked);
spread.repaint();
changeState(sheet);
}
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<p>Click the checkbox to select or deselect the sheet.</p>
<p>Hold down the Shift/Ctrl/Cmd key and click the sheet tab to select/deselect multiple sheets. The sheet checkbox will update correspondingly.</p>
</div>
<div class="sheets-checkboxes-container">
<div class="option-row">
<input type="checkbox" id="Sheet1" checked={state.sheet1IsSelected} onChange={e => onChange(e)} />
<label htmlFor="Sheet1" id="labelOfSheet1">Sheet1</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet2" checked={state.sheet2IsSelected} onChange={e => onChange(e)} />
<label htmlFor="Sheet2" id="labelOfSheet2">Sheet2</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet3" checked={state.sheet3IsSelected} onChange={e => onChange(e)} />
<label htmlFor="Sheet3" id="labelOfSheet3">Sheet3</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet4" checked={state.sheet4IsSelected} onChange={e => onChange(e)} />
<label htmlFor="Sheet4" id="labelOfSheet4">Sheet4</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet5" checked={state.sheet5IsSelected} onChange={e => onChange(e)} />
<label htmlFor="Sheet5" id="labelOfSheet5">Sheet5</label>
</div>
</div>
</div>
</div>;
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.state = {
sheet1IsSelected: true,
sheet2IsSelected: true,
sheet3IsSelected: true,
sheet4IsSelected: false,
sheet5IsSelected: false
};
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<p>Click the checkbox to select or deselect the sheet.</p>
<p>Hold down the Shift/Ctrl/Cmd key and click the sheet tab to select/deselect multiple sheets. The sheet checkbox will update correspondingly.</p>
</div>
<div class="sheets-checkboxes-container">
<div class="option-row">
<input type="checkbox" id="Sheet1" checked={this.state.sheet1IsSelected} onChange={e => this.onChange(e)} />
<label htmlFor="Sheet1" id="labelOfSheet1">Sheet1</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet2" checked={this.state.sheet2IsSelected} onChange={e => this.onChange(e)} />
<label htmlFor="Sheet2" id="labelOfSheet2">Sheet2</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet3" checked={this.state.sheet3IsSelected} onChange={e => this.onChange(e)} />
<label htmlFor="Sheet3" id="labelOfSheet3">Sheet3</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet4" checked={this.state.sheet4IsSelected} onChange={e => this.onChange(e)} />
<label htmlFor="Sheet4" id="labelOfSheet4">Sheet4</label>
</div>
<div class="option-row">
<input type="checkbox" id="Sheet5" checked={this.state.sheet5IsSelected} onChange={e => this.onChange(e)} />
<label htmlFor="Sheet5" id="labelOfSheet5">Sheet5</label>
</div>
</div>
</div>
</div>;
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet1 = spread.getSheetFromName("Sheet1");
let sheet2 = spread.getSheetFromName("Sheet2");
let sheet3 = spread.getSheetFromName("Sheet3");
sheet1.isSelected(true);
sheet2.isSelected(true);
sheet3.isSelected(true);
let self = this;
spread.bind(GC.Spread.Sheets.Events.SheetChanged, function (e, args) {
let sheet = self.spread.getSheetFromName(args.sheetName);
if (sheet) {
self.changeState(sheet);
}
});
spread.resumePaint();
}
changeState(sheet) {
let self = this;
let sheetName = sheet.name();
let currentState = {
sheet1IsSelected: self.state.sheet1IsSelected,
sheet2IsSelected: self.state.sheet2IsSelected,
sheet3IsSelected: self.state.sheet3IsSelected,
sheet4IsSelected: self.state.sheet4IsSelected,
sheet5IsSelected: self.state.sheet5IsSelected
};
switch (sheetName) {
case "Sheet1":
currentState.sheet1IsSelected = sheet.isSelected();
break;
case "Sheet2":
currentState.sheet2IsSelected = sheet.isSelected();
break;
case "Sheet3":
currentState.sheet3IsSelected = sheet.isSelected();
break;
case "Sheet4":
currentState.sheet4IsSelected = sheet.isSelected();
break;
case "Sheet5":
currentState.sheet5IsSelected = sheet.isSelected();
break;
}
self.setState(currentState);
}
onChange(e) {
let spread = this.spread;
let sheet = spread.getSheetFromName(e.target.id);
sheet.isSelected(e.target.checked);
spread.repaint();
this.changeState(sheet);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
.sheets-checkboxes-container {
padding-left: 10px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
hr {
border-color: #fff;
opacity: .2;
margin-top: 20px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);